#!/bin/sh

nic="Ethernet"
mod="dwmac_generic"
nic_I350="I350"

arch=$(uname -m)
if [ "$arch" != "aarch64" ];then
	exit 0
fi

result=$(lspci | grep -w "${nic}")
if [ "X$result" = "X" ]; then
	exit 0
fi

result=$(lspci | grep -i "${nic}" | grep -w "${nic_I350}")
if [ "X$result" != "X" ]; then
	exit 0
fi

ret=$(lsmod | grep -w "${mod}")

if [ "X$ret" != "X" ]; then
	sudo modprobe -r "${mod}" || true
fi

exit 0
